Page MenuHomeMiraheze

Hypopedia configuration change request(s)
Closed, ResolvedPublic

Description

I would like the following to be done:

  1. The interface-admin group on my wiki unset.
  2. $wgTidyConfig configured for it if at all possible as some of the templates on it will be hard to look at or use without it.
  3. I know this may sound absurd, but I also would like a bureaucrat protection level added as it could be used in a few circumstances such as locking up Request for Bureaucrat to non-bureaucrat users, etc.

Thank you for taking the time to read this. If any of these cannot be done/is not possible I will understand.

Event Timeline

Hypercane created this task.Jan 25 2019, 05:21
Void added a comment.Jan 26 2019, 16:19
  1. You can try to remove all references to the interface admin group using Special:ManageWikiPermissions. (Remove all permissions from the group and make sure no group can add or remove the now empty group.
  2. $wgTidyConfig is set by default to RemexHtml. Is this suitable?
  3. That's in the works right now.
Hypercane added a comment.EditedJan 26 2019, 18:13

I have tried that first, the removing of all permissions related to interface-admin but it is still in Special:ListGroupRights there.
See: https://hypopedia.miraheze.org/wiki/Special:ListGroupRights

RemexHtml is alright if it gets the job done still, yes.

And alright I'll be patient for the bureaucrat protection level.

Hypercane added a comment.EditedJan 30 2019, 12:38

@Void any updates? Just wanted to check up on this since it has been a few days. Also, the bureaucrat protect level permission is not set up there along with $wgTidyConfig.

Void added a comment.Jan 30 2019, 17:44

I've just finished the Crat permissions setup, sorry I didn't do that before, but somethings didn't match up. I'm not sure what's wrong with $wgTidyConfig, because it is configured.

Hypercane added a comment.EditedJan 30 2019, 19:09

I think TidyConfig does work well now. And okay, thank you guys very much. This can be tagged as resolved now if you want.

Void closed this task as Resolved.Jan 31 2019, 01:44
Void claimed this task.